PackedInts.Reader (Lucene 3.6.2 API)
Keywords: org.apache.lucene.util.packed.PackedInts.Reader interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.util.packed
Interface PackedInts.Reader

All Known Subinterfaces:
  PackedInts.Mutable

All Known Implementing Classes:
  GrowableWriter, PackedInts.ReaderImpl

Enclosing class:
  PackedInts

    public static interface PackedInts.Reader

A read-only random access array of positive integers.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

Method Summary
`long` | `get(int index)`
`Object` | `getArray()` Expert: if the bit-width of this reader matches one of java's native types, returns the underlying array (ie, byte[], short[], int[], long[]); else, returns null.
`int` | `getBitsPerValue()`
`boolean` | `hasArray()` Returns true if this implementation is backed by a native java array.
`int` | `size()`

Method Detail

### get

    long get(int index)

  Parameters:
    `index` - the position of the wanted value.
  Returns:
    the value at the stated index.

### getBitsPerValue

    int getBitsPerValue()

  Returns:
    the number of bits used to store any given value. Note: This does not imply that memory usage is `bitsPerValue * #values` as implementations are free to use non-space-optimal packing of bits.

### size

    int size()

  Returns:
    the number of values.

### getArray

    Object getArray()

  Expert: if the bit-width of this reader matches one of java's native types, returns the underlying array (ie, byte[], short[], int[], long[]); else, returns null. Note that when accessing the array you must upgrade the type (bitwise AND with all ones), to interpret the full value as unsigned. Ie, bytes[idx]&0xFF, shorts[idx]&0xFFFF, etc.

### hasArray

    boolean hasArray()

  Returns true if this implementation is backed by a native java array.

  See Also:
    `getArray()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD